Skip to content

Get contact

GET
/contacts/{contactId}
curl --request GET \
--url https://api.unwrap.email/v1/contacts/example \
--header 'UNWRAP-EMAIL-API-TOKEN: <UNWRAP-EMAIL-API-TOKEN>'

Return a contact for the authenticated user

contactId
required

Contact identifier

string
/^(?:[0-9a-f]{32}|[0-9a-f]{8}-[0-9a-f]{4}-[1-8][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12})$/i/

Contact identifier

Contact retrieved successfully

Media type application/json
object
id
required

Contact identifier

string
version
required

Completed enrichment version; null while pending or refreshing

string | null
Allowed values: v1
enrichment
required

Read-only public-source person and company data with field provenance

object
status
required
string
Allowed values: matched no_match
person
required
object
name
required
string | null
>= 1 characters <= 1024 characters
imageUrl
string | null format: uri
<= 2048 characters
jobTitle
required
string | null
>= 1 characters <= 1024 characters
employer
required
string | null
>= 1 characters <= 1024 characters
location
required
string | null
>= 1 characters <= 1024 characters
links
required
Array<string>
<= 10 items
company
required
object
name
required
string | null
>= 1 characters <= 1024 characters
website
required
string | null format: uri
<= 2048 characters
description
required
string | null
>= 1 characters <= 1024 characters
links
required
Array<string>
<= 10 items
sources
required
object
website
object
status
required
string
Allowed values: matched no_match skipped
fetchedAt
required
integer
person
required
object
name
required
string | null
>= 1 characters <= 1024 characters
imageUrl
string | null format: uri
<= 2048 characters
jobTitle
required
string | null
>= 1 characters <= 1024 characters
employer
required
string | null
>= 1 characters <= 1024 characters
location
required
string | null
>= 1 characters <= 1024 characters
links
required
Array<string>
<= 10 items
company
required
object
name
required
string | null
>= 1 characters <= 1024 characters
website
required
string | null format: uri
<= 2048 characters
description
required
string | null
>= 1 characters <= 1024 characters
links
required
Array<string>
<= 10 items
provenance
required
Array<object>
<= 32 items
object
field
required
string
Allowed values: person.name person.imageUrl person.jobTitle person.employer person.location person.links company.name company.website company.description company.links
source
required
string
Allowed values: website wikidata_person wikidata_company
url
required
string format: uri
<= 2048 characters
fetchedAt
required
integer
wikidata_person
object
status
required
string
Allowed values: matched no_match skipped
fetchedAt
required
integer
person
required
object
name
required
string | null
>= 1 characters <= 1024 characters
imageUrl
string | null format: uri
<= 2048 characters
jobTitle
required
string | null
>= 1 characters <= 1024 characters
employer
required
string | null
>= 1 characters <= 1024 characters
location
required
string | null
>= 1 characters <= 1024 characters
links
required
Array<string>
<= 10 items
company
required
object
name
required
string | null
>= 1 characters <= 1024 characters
website
required
string | null format: uri
<= 2048 characters
description
required
string | null
>= 1 characters <= 1024 characters
links
required
Array<string>
<= 10 items
provenance
required
Array<object>
<= 32 items
object
field
required
string
Allowed values: person.name person.imageUrl person.jobTitle person.employer person.location person.links company.name company.website company.description company.links
source
required
string
Allowed values: website wikidata_person wikidata_company
url
required
string format: uri
<= 2048 characters
fetchedAt
required
integer
wikidata_company
object
status
required
string
Allowed values: matched no_match skipped
fetchedAt
required
integer
person
required
object
name
required
string | null
>= 1 characters <= 1024 characters
imageUrl
string | null format: uri
<= 2048 characters
jobTitle
required
string | null
>= 1 characters <= 1024 characters
employer
required
string | null
>= 1 characters <= 1024 characters
location
required
string | null
>= 1 characters <= 1024 characters
links
required
Array<string>
<= 10 items
company
required
object
name
required
string | null
>= 1 characters <= 1024 characters
website
required
string | null format: uri
<= 2048 characters
description
required
string | null
>= 1 characters <= 1024 characters
links
required
Array<string>
<= 10 items
provenance
required
Array<object>
<= 32 items
object
field
required
string
Allowed values: person.name person.imageUrl person.jobTitle person.employer person.location person.links company.name company.website company.description company.links
source
required
string
Allowed values: website wikidata_person wikidata_company
url
required
string format: uri
<= 2048 characters
fetchedAt
required
integer
provenance
required
Array<object>
<= 32 items
object
field
required
string
Allowed values: person.name person.imageUrl person.jobTitle person.employer person.location person.links company.name company.website company.description company.links
source
required
string
Allowed values: website wikidata_person wikidata_company
url
required
string format: uri
<= 2048 characters
fetchedAt
required
integer
enrichedAt
required

Last completed enrichment timestamp

number | null
enrichmentState
required

Pending, updating, retrying, matched, or no_match

string
Allowed values: pending updating retrying matched no_match
email
required

Contact email address

string format: email
firstName
required

Contact first name

string | null
lastName
required

Contact last name

string | null
domain
required

Domain derived from email

string
createdAt
required

Creation timestamp

number
updatedAt
required

Last update timestamp

number
Example
{
"version": "v1",
"enrichment": {
"status": "matched",
"person": {
"imageUrl": null
},
"sources": {
"website": {
"status": "matched",
"person": {
"imageUrl": null
},
"provenance": [
{
"field": "person.name",
"source": "website"
}
]
},
"wikidata_person": {
"status": "matched",
"person": {
"imageUrl": null
},
"provenance": [
{
"field": "person.name",
"source": "website"
}
]
},
"wikidata_company": {
"status": "matched",
"person": {
"imageUrl": null
},
"provenance": [
{
"field": "person.name",
"source": "website"
}
]
}
},
"provenance": [
{
"field": "person.name",
"source": "website"
}
]
},
"enrichmentState": "pending"
}